# 融租易开发手册

* [GitBook使用](/gitbook.md)

---

* I. 开发环境准备

  * [1.1 Git 使用](/git-guide.md "git指令")
  * [1.2 Maven 使用](/maven.md "maven使用")
  * [1.3 开发环境搭建](/project-create.md)
  * [1.4 更新项目的HEL依赖版本](/project-update.md)
  * [1.5 Liquibase](/liquibase-use.md)

* II. 项目开发规范

  * [2.1 项目开发规范](/codeStyle.md#backEndDev)
  * [2.2 编码规范](/codeStyle.md#backEndName)
  * 2.3 Checkstyle

* III. 后端开发

* IV. 前端开发

  * 4.1 前端开发说明 \(1.0\)
  * [4.2 hlsCombobox](/前端组件/hlsCombobox.md)
  * [4.3 hlsDataSource](/前端组件/hlsDataSource.md)
  * [4.4 hlsMaskedTextBox](/前端组件/hlsMaskedTextBox.md)
  * [4.5 hlsPage](/前端组件/hlsPage.md)
  * [4.6 hlsTextArea](/前端组件/hlsTextArea.md)
  * [4.7 hlsTlEdit](/前端组件/hlsTlEdit.md)
  * [4.8 hlsDatePicker](/前端组件/hlsDatePicker.md)
  * [4.9 hlsDateTimePicker](/前端组件/HlsDateTimePicker.md)
  * [4.10 hlsLov](/前端组件/HlsLov.md)
  * [4.11 hlsToolBar](/前端组件/HlsToolBar.md)
  * [4.12 TabStrip](/前端组件/TabStrip.md)
  * [4.13 hlsForm](/前端组件/hlsForm.md)
  * [4.14 hlsCombobox](/前端组件/HlsCombobox.md)
  * [4.15 hlsCheckBox](/前端组件/HlsCheckBox.md)
  * [4.16 抽屉通用方法](/前端组件/box.md)


* V. 框架功能描述

  * [5.1 计划任务](/框架功能描述/计划任务.md)
  * [5.2 消息机制](/框架功能描述/消息机制.md)
  * [5.3 部署](/后端开发/deployment.md)


